Home
Home
  1. πŸ“‘ Endpoints
  • πŸš€ Getting Started
  • πŸ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • πŸ“‘ Endpoints
      • Blockchain Analysis
      • Individuals Analysis
      • Organizations Analysis
      • Screening Entities Summary Analysis
      • Create BlackList
      • Get All BlackList Records
      • Get Blacklist Record by ID
      • Delete Blacklist Record by ID
      • Update Blacklist Record by ID
      • Update Blacklist Settings Account
  • 🌊 Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • πŸ“‘ Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • πŸ“€ Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • πŸ’ΈTransaction Screening API
    • πŸ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • πŸ“€ Webhooks
    • πŸ“‘ Endpoints
      • Submit Transaction
        POST
      • List Transactions
        GET
      • List Document types
        GET
      • List Cryptocurrencies
        GET
      • Register remitter
        POST
      • Register Beneficiary
        POST
  • πŸ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. πŸ“‘ Endpoints

List Document types

GET
https://app.rillis.io/api/v1/resources/validation/document-types
This endpoint returns the valid document types by country, supporting two categories: individuals ("person") and legal entities ("company").

Request

Query Params

Responses

🟒200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://app.rillis.io/api/v1/resources/validation/document-types?client_id&client_secret&country&entity'
Response Response Example
{
  "person": [
    {
      "code": "CHL",
      "name": "CHILE",
      "locTypes": [
        {
          "type": "CL-PASS",
          "name": "PASSPORT NUMBER"
        }
      ]
    }
  ],
  "company": [
    {
      "code": "CHL",
      "name": "CHILE",
      "locTypes": [
        {
          "type": "CL-RUN",
          "name": "ROL UNICO NACIONAL"
        }
      ]
    }
  ]
}
Modified atΒ 2026-02-06 21:10:10
Previous
List Transactions
Next
List Cryptocurrencies
Built with